/**********************************************************************************************
    Copyright (C) 2006, 2007 Oliver Eichler oliver.eichler@gmx.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111 USA

**********************************************************************************************/
#include "CCopyright.h"

CCopyright::CCopyright()
{
    setupUi(this);

    text->setHtml(
        tr(
            "<h1>QLandkarte V 0.5.1</h1>"
            "<p>"
            "&#169; 2006, 2007 Oliver Eichler (oliver.eichler@gmx.de)"
            "</p>"
            "<p>"
            "Thanks to Michael Ritzert (michael.ritzert@googlemail.com) for "
            "improvements."
            "</p>"
            "<p>"
            "The decoding of the *.img files is based on <b>John Mechalas "
            "\"Garmin IMG File Format\"</b> documentation. "
            "See <b>http://sourceforge.net/projects/garmin-img/</b>"
            "</p>"
            "<p>"
            "The missing bits and errors where rectified by studying the source "
            "code of <b>Konstantin Galichsky's (kg@geopainting.com) GPSMapEdit</b>. "
            "See <b>http://www.geopainting.com</b> "
            "</p>"
            "<p>"
            "The USB potocol stuff is based on the <b>GPSBabel</b> project on "
            "<b>http://www.gpsbabel.org/</b>. Credits go to <b>Robert Lipe <robertlipe@usa.net></b> "
            "and <b>Alan Bleasby</b> author of the <b>Jeeps</b> library."
            "</p> "
            "<p>"
            "Icons and eye candy are from the <b>KDE</b> icon set and the <b>Nuvola</b> icon set. "
            "See <b>http://www.kde.org/</b> and <b>http://www.icon-king.com/</b>. Waypoint icons "
            "are copied from <b>GPSMan</b>. See <b>http://www.ncc.up.pt/gpsman/</b>. Cursor icons "
            "are from the 'Polar Cursor Theme'. See <b>http://www.kde-look.org/content/show.php?content=27913</b>."
            "</p> "
            "<p>"
            "The search toolbox is powered by <b>Google Maps</b>. See <b>http://www.google.com/apis/maps/documentation/</b> "
            "for details."
            "</p>"
            "<p>"
            "Some of the 2D polygon math is copied from <b>http://local.wasp.uwa.edu.au/~pbourke/geometry/</b>. "
            "The geodesic distance calculation by Thaddeus Vincenty is copied from "
            "<b>http://www.movable-type.co.uk/scripts/LatLongVincenty.html</b>"
            "</p>"
            "<p>"
            "<b>Garmin</b> provided an incomplete USB protocol specification for this project. "
            "And it is a registered trademark."
            "</p> "
        )
    );
}

CCopyright::~CCopyright()
{

}

